<?php 
/* 
Plugin Name: Contenido Para Usuarios Registrados
Description: Oculta o muestra contenido para usuarios registrados.
Version: 1.0 
Author: Nahuel Jose 
Author URI: http://nahueljose.com.ar 
*/ 

register_custom_shortcodes();
function register_custom_shortcodes(){
	//*****************************************************
	// Incluir aca shortcodes que necesitan ser limpiados 
	// del <p> que los envuelve.
	//*****************************************************
	add_shortcode('usuarios_registrados', 'handle_usuarios_registrados');
}

// **************************************
// Filters
// **************************************
add_filter( 'the_content', 'clear_shortcode_pwrap', 7 );


// **************************************
// Functions
// **************************************

function clear_shortcode_pwrap( $content ) {
	// **************************************
	// Clear wrapping for shortcodes
	// **************************************
	global $shortcode_tags;

	// Backup current registered shortcodes and clear them all out
	$orig_shortcode_tags = $shortcode_tags;
	remove_all_shortcodes();
	
	// insert shortcodes that need special html treatment
	register_custom_shortcodes();

	// Do the shortcode (only the one above is registered)
	$content = do_shortcode( $content );

	// Put the original shortcodes back
	$shortcode_tags = $orig_shortcode_tags;

	return $content;
}

function handle_usuarios_registrados($atts, $content = NULL){
	extract( shortcode_atts( array(
		'texto' => 'Por favor, reg&iacute;strese en nuestro sitio para ver contenido adicional'
	), $atts ) );
	if($content==NULL){
		return '';
	}
	
	if (is_user_logged_in()){
		return $content;
	} else {
		return '<div class="mensaje-usuarios-noregistrados"><p><a href="'.get_bloginfo('url').'/wp-login.php?action=register">'.$texto.'</a></p></div>';
	}
}

?>